sc::TorsSimpleCo(3)

NAME
sc::TorsSimpleCo -

The TorsSimpleCo class describes an torsion internal coordinate of a molecule.

SYNOPSIS

#include <simple.h>

Inherits sc::SimpleCo.

  Public Member Functions
TorsSimpleCo (const TorsSimpleCo &)
TorsSimpleCo (const char *refr, int, int, int, int)
This constructor takes a string containing a label, and four integers a, b, c, and d which give the indices of the atoms involved in the torsion angle abcd.
TorsSimpleCo (const Ref< KeyVal > &)
The KeyVal constructor.
const char * ctype () const
Always returns the string 'TORS'.
double radians () const
Returns the value of the angle abc in radians.
double degrees () const
Returns the value of the angle abc in degrees.
double preferred_value () const
Returns the value of the angle abc in degrees.

  Additional Inherited Members

Detailed Description

The TorsSimpleCo class describes an torsion internal coordinate of a molecule. The input is described in the documentation of its parent class SimpleCo.

Designating the four atoms as $a$, $b$, $c$, and $d$ and their cartesian positions as $r$, $rr{r}_c$, and $rlue of the coordinate, $ au$, is given by

rb} = ac{r - rr{r}_a - rr{u}_{cb} = ac{rr{r}_b}{ rr{r}_b }] rc{rr{r}_d}{ rr{r}_b }] rbc}= ac{rb} imes rr{u}_{ab} imes rr{n}_{bcd}= ac{rr{u}_{bc}} { rr{u}_{bc} } ] s = gin{array}{ll} 1 & ox{if $(rbc} imesrr{u}_{cb} > 0;$} \ -1 & ox{otherwise} \nd{array} ight. ]

Constructor & Destructor Documentation

  sc::TorsSimpleCo::TorsSimpleCo (const char *refr, int, int, int, int)

This constructor takes a string containing a label, and four integers a, b, c, and d which give the indices of the atoms involved in the torsion angle abcd. Atom numbering begins at atom 1, not atom 0.

  sc::TorsSimpleCo::TorsSimpleCo (const Ref< KeyVal > &)

The KeyVal constructor. This calls the SimpleCo keyval constructor with an integer argument of 4.

Author

Generated automatically by Doxygen for MPQC from the source code.